curl --request POST \
--url https://api.hakumedia.ai/v2/publishers/{publisher_id}/product-db/sources \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Example Source"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Example Source'})
};
fetch('https://api.hakumedia.ai/v2/publishers/{publisher_id}/product-db/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.hakumedia.ai/v2/publishers/{publisher_id}/product-db/sources"
payload = { "name": "Example Source" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hakumedia.ai/v2/publishers/{publisher_id}/product-db/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Example Source'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"name": "Example Source",
"name_slug": "example-source",
"object": "product_db_publisher_source",
"self": "/v2/publishers/123456/product-db/sources/10000",
"id": 10000,
"publisher": 123456,
"created_at": "2023-01-01T12:00:00-00:00",
"created_by": null,
"updated_at": null,
"updated_by": null
}Create a Publisher Source
Create a Publisher Source.
Authorizations
API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.
Path Parameters
Identifier of the Publisher.
Body
The name of the Publisher Source
255"Example Source"
A unique, human readable identifier for the Publisher Source. Must contain at least one letter, and can only contain lowercase letters, numbers, and dashes. If it is not provided, it will be auto generated from the name. Special characters will be removed, spaces will be replaced by dashes, and uppercase letters will be converted to lowercase letters.
255"example-source"
Response
successful operation
The name of the Publisher Source
255"Example Source"
A unique, human readable identifier for the Publisher Source
255"example-source"
A string denoting the current resource being requested or affected.
"product_db_publisher_source"
The relative URL of the current resource being requested or affected.
"/v2/publishers/123456/product-db/sources/10000"
The current resource identifier (ID).
10000
The publisher ID that owns this source.
123456
The timestamp when this resource was created.
"2023-01-01T12:00:00-00:00"
The user ID that created this resource.
null
The timestamp when this resource was last updated.
null
The user ID that last updated this resource.
null